Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.beid.domain
Class Identity

    java.lang.Object
      be.ehealth.technicalconnector.beid.domain.Identity

All Implemented Interfaces:
  Serializable

    public class Identity

extends Object
implements Serializable

This class contains all the information about the identity of a person (behalve the address) that can be read in a beIdCard

See Also:
  Serialized Form

Constructor Summary
`Identity()`

Method Summary
`String` | `getCardDeliveryMunicipality()`
`String` | `getCardNumber()`
`org.joda.time.DateTime` | `getCardValidityDateBegin()`
`org.joda.time.DateTime` | `getCardValidityDateEnd()`
`String` | `getChipNumber()`
`byte[]` | `getData()`
`org.joda.time.DateTime` | `getDateOfBirth()`
`DocumentType` | `getDocumentType()`
`String` | `getDuplicate()`
`String` | `getFirstName()`
`Gender` | `getGender()`
`String` | `getMiddleName()`
`String` | `getName()`
`String` | `getNationality()`
`String` | `getNationalNumber()`
`String` | `getNobleCondition()`
`byte[]` | `getPhotoDigest()`
`String` | `getPlaceOfBirth()`
`SpecialOrganisation` | `getSpecialOrganisation()`
`SpecialStatus` | `getSpecialStatus()`
`boolean` | `isMemberOfFamily()`
`void` | `setCardDeliveryMunicipality(String cardDeliveryMunicipality)`
`void` | `setCardNumber(String cardNumber)`
`void` | `setCardValidityDateBegin(org.joda.time.DateTime cardValidityDateBegin)`
`void` | `setCardValidityDateBegin(GregorianCalendar gregorianCalendar)` Deprecated.
`void` | `setCardValidityDateEnd(org.joda.time.DateTime cardValidityDateEnd)`
`void` | `setCardValidityDateEnd(GregorianCalendar cardValidityDateEnd)` Deprecated.
`void` | `setChipNumber(String chipNumber)`
`void` | `setData(byte[] data)`
`void` | `setDateOfBirth(org.joda.time.DateTime dateOfBirth)`
`void` | `setDateOfBirth(GregorianCalendar gregorianCalendar)` Deprecated. replace by setDateOfBirth(`DateTime`)
`void` | `setDocumentType(DocumentType documentType)`
`void` | `setDuplicate(String duplicate)`
`void` | `setFirstName(String firstName)`
`void` | `setGender(Gender gender)`
`void` | `setIsMemberOfFamily(boolean isMemberOfFamily)`
`void` | `setMiddleName(String middleName)`
`void` | `setName(String name)`
`void` | `setNationality(String nationality)`
`void` | `setNationalNumber(String nationalNumber)`
`void` | `setNobleCondition(String nobleCondition)`
`void` | `setPhotoDigest(byte[] photoDigest)`
`void` | `setPlaceOfBirth(String placeOfBirth)`
`void` | `setSpecialOrganisation(SpecialOrganisation specialOrganisation)`
`void` | `setSpecialStatus(SpecialStatus specialStatus)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Identity

    public Identity()

Method Detail

### getCardNumber

    public String getCardNumber()

  Returns:
    the card number

### setCardNumber

    public void setCardNumber(String cardNumber)

  Parameters:
    `cardNumber` - the cardNumber to set

### getChipNumber

    public String getChipNumber()

  Returns:
    the chip number

### setChipNumber

    public void setChipNumber(String chipNumber)

  Parameters:
    `chipNumber` - the chipNumber to set

### getCardValidityDateBegin

    public org.joda.time.DateTime getCardValidityDateBegin()

  Returns:
    the begin of the card validity date

### setCardValidityDateBegin

    @Deprecated
    public void setCardValidityDateBegin(GregorianCalendar gregorianCalendar)

  Deprecated.

  Parameters:
    `gregorianCalendar` - the cardValidityDateBegin to set

### setCardValidityDateBegin

    public void setCardValidityDateBegin(org.joda.time.DateTime cardValidityDateBegin)

### getCardValidityDateEnd

    public org.joda.time.DateTime getCardValidityDateEnd()

  Returns:
    the end of the card validity date

### setCardValidityDateEnd

    @Deprecated
    public void setCardValidityDateEnd(GregorianCalendar cardValidityDateEnd)

  Deprecated.

  Parameters:
    `cardValidityDateEnd` - the cardValidityDateEnd to set

### setCardValidityDateEnd

    public void setCardValidityDateEnd(org.joda.time.DateTime cardValidityDateEnd)

  Parameters:
    `cardValidityDateEnd` -

### getCardDeliveryMunicipality

    public String getCardDeliveryMunicipality()

  Returns:
    the card delivery municipality

### setCardDeliveryMunicipality

    public void setCardDeliveryMunicipality(String cardDeliveryMunicipality)

  Parameters:
    `cardDeliveryMunicipality` - the cardDeliveryMunicipality to set

### getNationalNumber

    public String getNationalNumber()

  Returns:
    the national number

### setNationalNumber

    public void setNationalNumber(String nationalNumber)

  Parameters:
    `nationalNumber` - the nationalNumber to set

### getName

    public String getName()

  Returns:
    the name

### setName

    public void setName(String name)

  Parameters:
    `name` - the name to set

### getFirstName

    public String getFirstName()

  Returns:
    the first name

### setFirstName

    public void setFirstName(String firstName)

  Parameters:
    `firstName` - the firstName to set

### getMiddleName

    public String getMiddleName()

  Returns:
    the middle name

### setMiddleName

    public void setMiddleName(String middleName)

  Parameters:
    `middleName` - the middleName to set

### getNationality

    public String getNationality()

  Returns:
    the nationality

### setNationality

    public void setNationality(String nationality)

  Parameters:
    `nationality` - the nationality to set

### getPlaceOfBirth

    public String getPlaceOfBirth()

  Returns:
    the place of birth

### setPlaceOfBirth

    public void setPlaceOfBirth(String placeOfBirth)

  Parameters:
    `placeOfBirth` - the placeOfBirth to set

### getDateOfBirth

    public org.joda.time.DateTime getDateOfBirth()

  Returns:
    the date of birth

### setDateOfBirth

    @Deprecated
    public void setDateOfBirth(GregorianCalendar gregorianCalendar)

  Deprecated. replace by setDateOfBirth(`DateTime`)

  Parameters:
    `gregorianCalendar` - the dateOfBirth to set

### setDateOfBirth

    public void setDateOfBirth(org.joda.time.DateTime dateOfBirth)

  Parameters:
    `dateOfBirth` - the dateOfBirth to set

### getGender

    public Gender getGender()

  Returns:
    the gender

### setGender

    public void setGender(Gender gender)

  Parameters:
    `gender` - the gender to set

### getNobleCondition

    public String getNobleCondition()

  Returns:
    the noble condition

### setNobleCondition

    public void setNobleCondition(String nobleCondition)

  Parameters:
    `nobleCondition` - the nobleCondition to set

### getDocumentType

    public DocumentType getDocumentType()

  Returns:
    the document type

### setDocumentType

    public void setDocumentType(DocumentType documentType)

  Parameters:
    `documentType` - the documentType to set

### getPhotoDigest

    public byte[] getPhotoDigest()

  Returns:
    the photo digest

### setPhotoDigest

    public void setPhotoDigest(byte[] photoDigest)

  Parameters:
    `photoDigest` - the photoDigest to set

### getSpecialStatus

    public SpecialStatus getSpecialStatus()

  Returns:
    the special status

### setSpecialStatus

    public void setSpecialStatus(SpecialStatus specialStatus)

  Parameters:
    `specialStatus` - the specialStatus to set

### getDuplicate

    public String getDuplicate()

  Returns:
    the dupplicate

### setDuplicate

    public void setDuplicate(String duplicate)

  Parameters:
    `duplicate` - the duplicate to set

### isMemberOfFamily

    public boolean isMemberOfFamily()

  Returns:
    isMemberOfFamily

### setIsMemberOfFamily

    public void setIsMemberOfFamily(boolean isMemberOfFamily)

  Parameters:
    `isMemberOfFamily` -

### getSpecialOrganisation

    public SpecialOrganisation getSpecialOrganisation()

  Returns:
    the special organisation

### setSpecialOrganisation

    public void setSpecialOrganisation(SpecialOrganisation specialOrganisation)

  Parameters:
    `specialOrganisation` - the specialOrganisation to set

### getData

    public byte[] getData()

  Returns:
    the data

### setData

    public void setData(byte[] data)

  Parameters:
    `data` - the data to set

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  Returns:
    the name and the first name of the person between [] ( [Name FirstName] )

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.